Subject: Re: [PATCH net] sfc: fix use after free when disabling sriov

From: Jakub Kicinski <[email-masked]>
Date: Mon, 11 Jul 2022 20:38:53 -0700

On Mon, 11 Jul 2022 15:45:20 +0200 Íñigo Huguet wrote:
> Use after free is detected by kfence when disabling sriov. What was read
> after being freed was vf->pci_dev: it was freed from pci_disable_sriov
> and later read in efx_ef10_sriov_free_vf_vports, called from
> efx_ef10_sriov_free_vf_vswitching.
> 
> Set the pointer to NULL at release time to not trying to read it later.

Please add a Fixes tag and repost. Does ef100 need the same fix? :(